Summary:	Polish dictionaries for VIMspell
Summary(pl.UTF-8):	Polskie słowniki dla VIMspella
Name:		vim-spell-pl
Version:	20211201
Release:	1
License:	Creative Commons License
Group:		Applications/Editors/Vim
Source0:	http://sjp.pl/slownik/ort/sjp-myspell-pl-%{version}.zip
# Source0-md5:	197ceb21184f588a1f342d51dd9ef9d2
# vim-7.0/vim70/runtime/spell/pl/pl_PL.diff
Patch0:		%{name}-pl_PL.diff
URL:		http://www.sjp.pl/slownik/ort/
BuildRequires:	unzip
BuildRequires:	vim >= 4:7.0
Requires:	vim-rt >= 4:7.2.170
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_vimdatadir	%{_datadir}/vim

%description
Polish dictionaries for VIMspell.

%description -l pl.UTF-8
Polskie słowniki dla VIMspella.

%prep
%setup -q -c
unzip pl_PL.zip
%patch0 -p0

%build
vim -u NONE -c 'set enc=iso-8859-2' -c 'mkspell! pl pl_PL' -c q
vim -u NONE -c 'set enc=utf-8' -c 'mkspell! pl pl_PL' -c q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_vimdatadir}/spell
cp -a *.spl $RPM_BUILD_ROOT%{_vimdatadir}/spell

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README_pl_PL.txt
%{_vimdatadir}/spell/pl.*.spl
%changelog
* Fri Jan 28 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vim-spell-pl.git;a=log;h=master

* Thu Jan 27 2022 Jan Palus <atler@pld-linux.org> 3350482
- up to 20211201

* Sun Nov 22 2020 Jan Palus <atler@pld-linux.org> c086d9e
- up to 20201103

* Tue May 28 2019 Jan Palus <atler@pld-linux.org> 4f68fa3
- up to 20190528

* Tue Apr 23 2019 Jan Palus <atler@pld-linux.org> 5997843
- up to 20190419

* Thu Apr 18 2019 Jan Palus <atler@pld-linux.org> 57253cf
- up to 20190418

* Sun Mar 03 2019 Jan Palus <atler@pld-linux.org> 969c06d
- up to 20190226

* Mon Dec 02 2013 Łukasz Kieś <kiesiu@pld-linux.org> 5942919
- updated to version 20131202

* Sun Oct 13 2013 Kacper Kornet <draenog@pld-linux.org> c7502f8
- updated to 20131012

* Mon Jun 24 2013 Łukasz Kieś <kiesiu@pld-linux.org> ea9e553
- updated to 20130624

* Thu May 09 2013 Kacper Kornet <draenog@pld-linux.org> 409ed2a
- updated to 20130509

* Fri Dec 28 2012 Łukasz Kieś <kiesiu@pld-linux.org> 8b22545
- updated to 20121228

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> da2555b
- up to 20120113

* Fri Apr 29 2011 marti <marti@pld-linux.org> f06a897
- up to 20110429

* Sat Jan 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 23bbe3b
- updated to 20110122

* Thu Sep 16 2010 blekot <blekot@pld-linux.org> e5f13e0
- up to 20100916

* Wed Aug 04 2010 Elan Ruusamäe <glen@pld-linux.org> 7580f4b
- don't use vimfiles

* Sun May 31 2009 amateja <amateja@pld-linux.org> 1023c6c
- updated to 20090531

* Wed Feb 11 2009 duddits <duddits@pld-linux.org> cfeea31
- up to 20090211

* Sat Jan 17 2009 duddits <duddits@pld-linux.org> cb981f1
- up to 20090117

* Fri May 30 2008 Adam Gołębiowski <adamg@pld-linux.org> 34bb69d
- updated to 20080530

